#include <stdint.h>
#include <stdbool.h>

extern bool NetTraceStack;
extern bool NetTraceNewLine;
extern bool NetTraceVerbose;
extern char NetTraceHost[];
extern bool NetTraceHostGetMatched(void);
extern void NetTraceHostResetMatched(void);
extern void NetTraceHostCheckIp6(char* ip);
extern void NetTraceHostCheckMac(char* mac);

extern  int16_t NetToHost16(int16_t n);
extern  int32_t NetToHost32(int32_t n);
extern  int64_t NetToHost64(int64_t n);
extern uint16_t NetCheckSum(int count, void* pData);
extern uint16_t NetCheckSumTwo(int count1, void* pData1, int count2, void* pData2);

extern void NetInit(const char* name4, const char* name6);
extern void NetMain(void);

extern const char* NetName4;
extern const char* NetName6;

#define FAULT_POINT_NetMain                   1
#define FAULT_POINT_LinkMain                  2
#define FAULT_POINT_EthHandlePacket           3
#define FAULT_POINT_Ip4HandleReceivedPacket   4
#define FAULT_POINT_Tcp4HandleReceivedPacket  5
#define FAULT_POINT_TcpHandleReceivedPacket   6
#define FAULT_POINT_TcpHdrReadFromPacket      7
#define FAULT_POINT_HttpHandleRequest         8
#define FAULT_POINT_HttpReadRequest           9
#define FAULT_POINT_HttpRequestFunction      10
#define FAULT_POINT_Udp4HandleReceivedPacket 11
#define FAULT_POINT_UdpHandleReceivedPacket  12
#define FAULT_POINT_NtpHandlePacketReceived  13